《gradle 用户指南中文版》第3章 安装 gradle

2017-08-01 20:23:40来源:CSDN作者:testcs_dn人点击

分享

macOS 下安装 gradle

Gradle在所有主要操作系统上运行,只需要安装Java JDK或JRE版本7或更高版本。
要检查,运行java -version:

$ java -versionjava version "1.8.0_121"Java(TM) SE Runtime Environment (build 1.8.0_121-b13)Java HotSpot(TM) 64-Bit Server VM (build 25.121-b13, mixed mode)

可以使用 sdk,homebrew,Macports, scoop 等来安装 gradle。

使用 sdk 安装

$ sdk install gradle

安装指定版本:

$ sdk install gradle 4.0.2

但是安装完成后执行“gradle”命令遇到错误:

$ gradleFAILURE: Build failed with an exception.* What went wrong:Could not create service of type ScriptPluginFactory using BuildScopeServices.createScriptPluginFactory().> Could not create service of type CrossBuildFileHashCache using BuildSessionScopeServices.createCrossBuildFileHashCache().* Try:Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

我这个错误是由于权限原因导致的,可以参考:

gradle Could not create service of type CrossBuildFileHashCache using BuildSessionScopeServices.crea

使用 homebrew 安装:

$ brew update && brew install gradle

使用 Macports 安装

$ sudo port selfupdate$ sudo port install gradle

使用 scoop 安装

Scoop是由Homebrew启发的Windows命令行安装程序。

$ scoop install gradle


上一页  |  目录  |  下一页



最新文章

123

最新摄影

微信扫一扫

第七城市微信公众平台